EDIT - bug #6299

Error when deleting reference in bulk editor
12/22/2016 04:02 PM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 50%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.5

Severity: normal Found in Version:

Description

Henning:

Hallo zusammen,

die Meldung kam, als ich im BulkEditor (PhycoBank, production) , Testjournal” I6schen wollte. Das hat auch funktioniert aber es kam
die Fehlermeldun.

VG

Henning

login : admin

editor version : 4.4.1

server : 160.45.63.173 / edit-prod

schema version : 4.1.0.0.201607300000

os : Windows 7 6.1 x86

java : 1.8.0_111

java.lang.Throwable: Error thrown but no associated exception

at eu.etaxonomy.taxeditor.model.MessagingUtils.getDefaultThrowable (MessagingUtils.

java:239)

at eu.etaxonomy.taxeditor.model.MessagingUtils.errorDialog (MessagingUtils. java:323
)

at eu.etaxonomy.taxeditor.model.MessagingUtils.errorDialog (MessagingUtils. java:288
)

at eu.etaxonomy.taxeditor.bulkeditor.handler.DeleteHandler.execute (DeleteHandler.j
ava:191)

at org.eclipse.ui.internal.handlers.HandlerProxy.execute (HandlerProxy.java:293)
at org.eclipse.core.commands.Command.executeWithChecks (Command. java:476)

at org.eclipse.core.commands.ParameterizedCommand.executeWithChecks (ParameterizedC
ommand. java:508)

at org.eclipse.ui.internal.handlers.HandlerService.executeCommand (HandlerService.j
ava:169)

at org.eclipse.ui.internal.handlers.SlaveHandlerService.executeCommand (SlaveHandle
rService. java:241)

at org.eclipse.ui.internal.handlers.SlaveHandlerService.executeCommand (SlaveHandle
rService. java:241)
EventTable.sendEvent (EventTable. java:84)
.Widget.sendEvent (Widget. java:1053)
Display.runDeferredEvents (Display.java:4165)
Display.readAndDispatch (Display. java:3754)
.Workbench.runEventLoop (Workbench. java:2701)
.Workbench.runUI (Workbench. java:2665)
.Workbench.access$4 (Workbench. java:2499)

.Workbench$7.run (Workbench. java:679)

core.databinding.observable.Realm.runWithDefault (Realm. java:332)

ui.internal.Workbench.createAndRunWorkbench (Workbench. java:668)

ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:149)

eu.etaxonomy.taxeditor.Application.start (Application. java:24)

org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196

at org.eclipse.
ipseAppLauncher. java:110)

at
uncher. java:79)
core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (Ecl

core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppla

core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:344)

core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)

NativeMethodAccessorImpl.invokeO (Native Method)

NativeMethodAccessorImpl.invoke (Unknown Source)

.reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)

java.lang.reflect.Method.invoke (Unknown Source)

org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:622)

org.eclipse.equinox.launcher.Main.basicRun (Main. java:577)

org.eclipse.equinox.launcher.Main.run (Main.java:1410)

Associated revisions

Revision 82bf3f79 - 01/03/2017 09:57 AM - Katja Luther

fix #6299: add openSession in getSession when there is no current session
History

#1 - 01/03/2017 09:37 AM - Katja Luther

| could reproduce the exception, following message is shown:

Could not obtain transaction-synchronized Session for current thread

The original error message on cdmlib side was:

Processing of HttpInvokerServiceExporter remote call resulted in fatal exception: eu.etaxonomy.cdm.api.servic
e.IVersionableService.isDeletable

org.hibernate.HibernateException: Could not obtain transaction-synchronized Session for current thread
org.hibernate.internal.SessionFactoryImpl.getCurrentSession (SessionFactoryImpl. java:697)
sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
sun.reflect.NativeMethodAccessorImpl.invoke (Unknown Source)
sun.reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)
java.lang.reflect.Method.invoke (Unknown Source)
.springframework.aop.support.RopUtils.invokeJoinpointUsingReflection (AopUtils. java:302)

.hibernate.common.DaoBase.getSession (DaoBase. java:37)
.hibernate.common.CdmEntityDaoBase.getSession (CdmEntityDaoBase.java:239

.hibernate.common.CdmEntityDaoBase.findByUuid (CdmEntityDaoBase. java:370
.hibernate.common.VersionableDaoBase.findByUuid (VersionableDaoBase. java
.hibernate.common.VersionableDaoBase.findByUuid (VersionableDaoBase. java

viceBase.find (ServiceBase.java:131)
sionableServiceBase.isDeletable (VersionableServiceBase. java:80)

springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy. java:202)

.sun.proxy.$Proxyl95.isDeletable (Unknown Source)

reflect.NativeMethodAccessorImpl.invokeO (Native Method)
reflect.NativeMethodAccessorImpl.invoke (Unknown Source)
reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)

java.lang.reflect.Method.invoke (Unknown Source)
aop.support.AopUtils.invokeJoinpointUsingReflection (AopUtils. java:302)
aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (ReflectiveMethodInvocation
port.RemoteInvocationBasedExporter.invoke (RemoteInvocationBasedExporter
port.RemoteInvocationBasedExporter.invokeAndCreateResult (RemoteInvocati

pinvoker.HttpInvokerServiceExporter.handleRequest (HttpInvokerServiceExp

.mvc.HttpRequestHandlerAdapter.handle (HttpRequestHandlerAdapter. java:51)
.DispatcherServlet.doDispatch (DispatcherServlet.java:959)

DispatcherServlet.doService (DispatcherServlet. java:893)

.FrameworkServlet.processRequest (FrameworkServlet. java:969)
.FrameworkServlet.doPost (FrameworkServlet.java:871)

javax.servlet.http.HttpServlet.service (HttpServlet. java:755)

org.springframework.web.servlet.FrameworkServlet.service (FrameworkServlet. java:845)
javax.servlet.http.HttpServlet.service (HttpServlet. java:848)

.eclipse. jetty.servlet.ServletHolder.handle (ServletHolder. java:684)
.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1496)
session.SessionManagementFilter.doFilter (SessionManagementFilter. java:
FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:330
servletapi.SecurityContextHolderAwareRequestFilter.doFilter (SecurityCo
FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy. java:330
savedrequest .RequestCacheAwareFilter.doFilter (RequestCacheAwareFilter.
FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:330

.authentication.www.BasicAuthenticationFilter.doFilterInternal (BasicAut

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter. java:107)
at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter. java:107)
at org.springframework.security.web

.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:330

.FilterChainProxy.doFilterInternal (FilterChainProxy. java:213)
.FilterChainProxy.doFilter (FilterChainProxy.java:176)

at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate (DelegatingFilterProxy. java:346)
at org.springframework.web.filter.DelegatingFilterProxy.doFilter (DelegatingFilterProxy.java:262)
at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler.java:1484)

at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal (CharacterEncodingFilter. java:12

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler.java:1476)
at org.eclipse. jetty.servlet.ServletHandler.doHandle (ServletHandler.java:499)

at org.eclipse.jetty.server.handler

.ScopedHandler.handle (ScopedHandler. java:137)

at org.eclipse.jetty.security.SecurityHandler.handle (SecurityHandler. java:557)

at org.eclipse. jetty.server.session
at org.eclipse.jetty.server.handler

.SessionHandler.doHandle (SessionHandler. java:231)
.ContextHandler.doHandle (ContextHandler. java:1086)

at org.eclipse.jetty.servlet.ServletHandler.doScope (ServletHandler. java:428)

at org.eclipse. jetty.server.session
at org.eclipse.jetty.server.handler
at org.eclipse. jetty.server.handler
at org.eclipse. jetty.server.handler

.SessionHandler.doScope (SessionHandler. java:193)
.ContextHandler.doScope (ContextHandler. java:1020)
.ScopedHandler.handle (ScopedHandler. java:135)
.HandlerWrapper.handle (HandlerWrapper. java:116)

at org.eclipse.jetty.server.Server.handle (Server.java:370)

at org.eclipse. jetty.server.AbstractHttpConnection.handleRequest (AbstractHttpConnection. java:494)
at org.eclipse. jetty.server.AbstractHttpConnection.content (AbstractHttpConnection. java:982)
at org.eclipse.jetty.server.AbstractHttpConnection$SRequestHandler.content (AbstractHttpConnection. java:1043

at org.eclipse.jetty.http.HttpParser.parseNext (HttpParser. java:865)
at org.eclipse.jetty.http.HttpParser.parseAvailable (HttpParser. java:240)

at org.eclipse. jetty.server.AsyncHttpConnection.handle (AsyncHttpConnection. java:82)
at org.eclipse.jetty.io.nio.SelectChannelEndPoint.handle (SelectChannelEndPoint. java:667)
at org.eclipse.jetty.io.nio.SelectChannelEndPoint$l.run(SelectChannelEndPoint. java:52)

at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob (QueuedThreadPool. java:608)
at org.eclipse.jetty.util.thread.QueuedThreadPool$3.run (QueuedThreadPool. java:543)
at java.lang.Thread.run (Unknown Source)

#2 - 01/03/2017 09:51 AM - Katja Luther
- Target version changed from Unassigned CDM tickets to Release 4.5

This problem could be solved by catching the hibernate exception when there is no currentSession and create a new session.

#3 - 01/03/2017 09:58 AM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|82bf3f79c95b9d641ebd2528ca32c98a804c7019.

#4 - 01/20/2017 02:32 PM - Katja Luther

- Assignee changed from Katja Luther to Patrick Plitzner

please have a look if it works now as expected

#5 - 02/09/2017 11:39 AM - Patrick Plitzner
- Status changed from Resolved to Feedback

- Assignee changed from Patrick Plitzner to Katja Luther

I don't know how to reproduce this. Does this also happen in local workspace environment?

#6 - 02/09/2017 11:45 AM - Katja Luther

Patrick Plitzner wrote:

| don't know how to reproduce this. Does this also happen in local workspace environment?

Yes, | tested it in local workspace environment.| don't remember when | got the exception.

#7 - 11/03/2021 02:24 PM - Katja Luther
- Status changed from Feedback to Closed

As we never got this exception anymore, we can close this ticket.
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/82bf3f79c95b9d641ebd2528ca32c98a804c7019
